Subject: Re: bug#29303: 25.2; vc-git-grep should shell-escape FILES

From: Robert Pluim <[email-masked]>
Date: Fri, 17 Nov 2017 15:21:52 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Robert Pluim <[email-masked]>
>> Cc: [email-masked],  [email-masked]
>> Date: Fri, 17 Nov 2017 11:33:08 +0100
>> 
>> > Thanks, this is fine, except that please use \\[quoted-insert] instead
>> > of a literal \C-q, to DTRT when quoted-insert is rebound to some other
>> > key.
>> 
>> Attached. I fixed my laziness about 'e.g.' for good measure.
>
> Thanks, pushed.
>

Thanks

>> I'm hoping this can make emacs-26.
>
> Documentation changes are always okay for the release branch.

I meant the patch to quote arguments to git grep, since that's fixing
an actual problem, but it's a change in behaviour, so it might be too
late for that.

Robert